package com.sundot.airport.exam.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sundot.airport.exam.common.model.BaseEntity;
import com.sundot.airport.exam.enums.QuesTypeEnum;

import java.io.Serializable;

/**
 * <b>功能名：</b>Ques<br>
 * <b>说明：</b> 题干表 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-18 liangxiao
 */
@TableName("edu_cs_ques")
public class Ques extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 业务主键
     */
    private String quId;

    /**
     * 题目类型
     * - SINGLE单选；MULTIPLE多选；JUDGMENT判断；FILL_BLANK填空；CONNECTION连线）
     */
    private QuesTypeEnum quType;

    /**
     * 题干内容
     */
    private String quContent;

    /**
     * 题目分类表业务主键
     */
    private String qcId;

    /**
     * 题目所属模块ID
     */
    private String quModuleId;

    /**
     * 题目选项个数,如果填空题为填空数
     */
    private Integer quOptCount;

    public String getQuModuleId() {
        return quModuleId;
    }

    public void setQuModuleId(String quModuleId) {
        this.quModuleId = quModuleId;
    }

    @Override
    public String toString() {
        return "Ques{" +
                "id=" + id +
                ", quId='" + quId + '\'' +
                ", quType=" + quType +
                ", quContent='" + quContent + '\'' +
                ", qcId='" + qcId + '\'' +
                ", quModuleId='" + quModuleId + '\'' +
                ", quOptCount=" + quOptCount +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getQuId() {
        return quId;
    }

    public void setQuId(String quId) {
        this.quId = quId;
    }

    public QuesTypeEnum getQuType() {
        return quType;
    }

    public void setQuType(QuesTypeEnum quType) {
        this.quType = quType;
    }

    public String getQuContent() {
        return quContent;
    }

    public void setQuContent(String quContent) {
        this.quContent = quContent;
    }

    public String getQcId() {
        return qcId;
    }

    public void setQcId(String qcId) {
        this.qcId = qcId;
    }

    public Integer getQuOptCount() {
        return quOptCount;
    }

    public void setQuOptCount(Integer quOptCount) {
        this.quOptCount = quOptCount;
    }
}